LCD.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "driver/spi_master.h"`
`#include "driver/gpio.h"`
`#include <string.h>`
`#include "esp_system.h"`
Include dependency graph for LCD.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | COLOR_RED 0xF800
#define | COLOR_GREEN 0x07E0
#define | COLOR_BLUE 0x001F
#define | COLOR_WHITE 0xFFFF
#define | COLOR_BLACK 0x0000

## Functions

esp_err_t | iLCD_init (void)
| init More...
esp_err_t | iLCD_clearFramebuffer (uint16_t u16Color)
| clear complete framebuffer with a color More...
esp_err_t | iLCD_writeString (uint16_t u16xPos, uint16_t u16yPos, char *pcText, uint16_t u16ColorFont, uint16_t u16ColorBackground)
| write string/text into framebuffer More...

## Detailed Description

Author
  Hendrik Schutter

Version
  V1.0

Date
  03.11.2020

## Macro Definition Documentation

## COLOR_BLACK

#define COLOR_BLACK 0x0000

## COLOR_BLUE

#define COLOR_BLUE 0x001F

## COLOR_GREEN

#define COLOR_GREEN 0x07E0

## COLOR_RED

#define COLOR_RED 0xF800

## COLOR_WHITE

#define COLOR_WHITE 0xFFFF

## Function Documentation

## iLCD_clearFramebuffer()

esp_err_t iLCD_clearFramebuffer | ( | uint16_t | u16Color | ) |

clear complete framebuffer with a color

Parameters

  RGB586 | color code

Returns
  esp error code

Author
  Hendrik Schutter

Date
  3.11.2020

Here is the call graph for this function:

## iLCD_init()

esp_err_t iLCD_init | ( | void |  | ) |

init

Parameters

  void |

Returns
  int

Author
  Hendrik Schutter

Date
  3.11.2020

Here is the call graph for this function:

## iLCD_writeString()

esp_err_t iLCD_writeString | ( | uint16_t | u16xPos,
|  | uint16_t | u16yPos,
|  | char * | pcText,
|  | uint16_t | u16ColorFont,
|  | uint16_t | u16ColorBackground
| ) |  |

write string/text into framebuffer

Parameters

  uint16_t | u16xPos
  uint16_t | u16yPos
  char | *pcText
  RGB586 | color code for font uint16_t u16ColorFont
  RGB586 | color code for background uint16_t u16ColorBackground

Returns
  esp error code

Author
  Hendrik Schutter

Date
  4.11.2020

Here is the call graph for this function: